> ## Documentation Index
> Fetch the complete documentation index at: https://docs.realtimelca.com/llms.txt
> Use this file to discover all available pages before exploring further.

# BuildingProject Enums



## OpenAPI

````yaml /api-reference/realtime-lca-openapi.yaml get /BuildingProject/buildingprojectenums
openapi: 3.0.0
info:
  title: Real-Time LCA REST Documentation
  version: 1.0.0
  description: >-
    ### Description 📝


    This collection contains a set of REST API requests for the Real-Time LCA
    (Life Cycle Assessment) service.


    ### Authenticate user 👤🔑


    In the `Auth` folder there's a `POST` request for authenticating the user.


    In this request body you can type in the user RTLCA user credentials
    (username & password) and a succesfull (`200 OK`) response will set the
    collection `BearerToken` variable which is then inherited by all other
    requests.
servers:
  - url: https://api.realtimelca.com/rest/api
    description: REST API.
  - url: https://api.realtimelca.com/epd/api
    description: EPD API.
  - url: https://auth.realtimelca.com/frontegg/identity/resources/auth/v1
    description: Authentication API (Frontegg identity v1).
  - url: https://realtimelca-prod.hasura.app
    description: GraphQL API (Hasura).
security:
  - BearerAuth: []
tags:
  - name: Auth
  - name: User
  - name: Overview
  - name: Project
  - name: Dashboard
  - name: Mapping
  - name: Automapping
  - name: Transport
  - name: Waste
  - name: Inspect
  - name: Report
  - name: Images
  - name: Library
  - name: Datasource
  - name: Owner
  - name: Material
  - name: Constructions
  - name: Enums
paths:
  /BuildingProject/buildingprojectenums:
    servers:
      - url: https://api.realtimelca.com/rest/api
    get:
      tags:
        - Enums
      summary: BuildingProject Enums
      responses:
        '200':
          description: BuildingProject Enums
          headers:
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
            Request-Context:
              schema:
                type: string
              example: appId=cid-v1:873bdc2a-8d35-4b5f-93af-b676dbc72303
            Date:
              schema:
                type: string
              example: Wed, 19 Jun 2024 19:03:29 GMT
          content:
            application/json:
              schema:
                type: object
                properties:
                  buildingTypeEnum:
                    type: array
                    items:
                      type: string
                  regerencedAreaTypeEnum:
                    type: object
                    properties:
                      Exterior ramps:
                        type: number
                      Exterior stairs:
                        type: number
                      Exterior fire escapes:
                        type: number
                      Exterior balconies:
                        type: number
                      Exterior balcony access:
                        type: number
                      Integrated garages single family houses:
                        type: number
                      Integrated garages town houses:
                        type: number
                      Integrated car ports:
                        type: number
                      Integrated out buildings:
                        type: number
                      Integrated coverings:
                        type: number
                      Integrated sheds:
                        type: number
                      Walk on ceilings:
                        type: number
                  operationElectricitySupplyEnum:
                    type: array
                    items:
                      type: string
                  operationHeatSupplyEnum:
                    type: array
                    items:
                      type: string
                  constructionElectricitySupplyEnum:
                    type: array
                    items:
                      type: string
                  constructionHeatSupplyEnum:
                    type: array
                    items:
                      type: string
                  materialMappingMethodEnum:
                    type: array
                    items:
                      type: string
                  defaultBranches:
                    type: array
                    items:
                      type: string
                  materialSourceEnum:
                    type: array
                    items:
                      type: string
                  buildingProjectStageEnums:
                    type: array
                    items:
                      type: string
              example:
                buildingTypeEnum:
                  - Office
                  - School/Institution
                  - Residential - Single-family house
                  - Residential - Multi-storey building
                  - Residential - Terraced house
                  - Retail
                  - Logistics
                  - Production
                  - Hotel
                regerencedAreaTypeEnum:
                  Exterior ramps: 0.25
                  Exterior stairs: 0.25
                  Exterior fire escapes: 0.25
                  Exterior balconies: 0.25
                  Exterior balcony access: 0.25
                  Integrated garages single family houses: 0.5
                  Integrated garages town houses: 0.5
                  Integrated car ports: 0.25
                  Integrated out buildings: 0.25
                  Integrated coverings: 0.25
                  Integrated sheds: 0.25
                  Walk on ceilings: 0.25
                operationElectricitySupplyEnum:
                  - Electricity - projection 2020-2040
                operationHeatSupplyEnum:
                  - District heating - projection 2020-2040
                  - Electricity - projection 2020-2040
                  - Natural gas - projection 2020-2040
                constructionElectricitySupplyEnum:
                  - Electricity - projection 2020-2040
                constructionHeatSupplyEnum:
                  - District heating - projection 2020-2040
                  - Electricity - projection 2020-2040
                  - Natural gas - projection 2020-2040
                materialMappingMethodEnum:
                  - Mest benyttet
                  - Senest benyttet
                  - Lavest GWP
                defaultBranches:
                  - Arkitektur
                  - By og landskab
                  - Elektroteknik og IT
                  - Mekaniske installationer
                  - Konstruktioner
                  - Procesanlæg og forsyning
                materialSourceEnum:
                  - Speckle
                  - Custom
                  - Combined
                  - Epd
                  - Excel upload
                buildingProjectStageEnums:
                  - Competition
                  - Design
                  - Detailed Design
                  - Construction
                  - Operation
                  - Archived
                  - On Hold
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````